## org.eclipse.jet.compiler
Class Problem

    java.lang.Object
      org.eclipse.jet.compiler.Problem

Deprecated. Since 0.8.0, use `Problem`

    public final class Problem

extends java.lang.Object

Represent a compilation problem on a JET2 tempalte.

This class is not intended to be extended by clients

Since:
  0.7.0

Field Summary
`static int` `DeprecatedAttribute` Deprecated. Use `IProblem.DeprecatedAttribute`
`static int` `DeprecatedTag` Deprecated. Use `IProblem.DeprecatedTag`
`static int` `DuplicateAttribute` Deprecated. Use `IProblem.DuplicateAttribute`
`static int` `DuplicateXMLNamespacePrefix` Deprecated. Use `IProblem.DuplicateXMLNamespacePrefix`
`static int` `JETException` Deprecated. Use `IProblem.JETException`
`static int` `MissingRequiredAttribute` Deprecated. Use `IProblem.MissingRequiredAttribute`
`static int` `MissingXmlEndTag` Deprecated. Use `IProblem.MissingXmlEndTag`
`static int` `MissingXmlStartTag` Deprecated. Use `IProblem.MissingXmlStartTag`
`static int` `MultipleTemplatesWithSameJavaClass` Deprecated. Use `IProblem.MultipleTemplatesWithSameJavaClass`
`static int` `TagCannotBeEmpty` Deprecated. Use `IProblem.TagCannotBeEmpty`
`static int` `TagCannotHaveContent` Deprecated. Use `IProblem.TagCannotHaveContent`
`static int` `TagInterpretedAsEmptyTag` Deprecated. Use `IProblem.TagInterpretedAsEmptyTag`
`static int` `UnknownAttributeInTag` Deprecated. Use `IProblem.UnknownAttributeInTag`
`static int` `UnknownTagLibrary` Deprecated. Use `IProblem.UnknownTagLibrary`
`static int` `UnknownXMLTag` Deprecated. Use `IProblem.UnknownXMLTag`
`static int` `UnsupportedDirective` Deprecated. Use `IProblem.UnsupportedDirective`
`static int` `UnterminatedXMLTag` Deprecated. Use `IProblem.UnterminatedXMLTag`

Constructor Summary
`Problem(java.lang.String originatingFileName, org.eclipse.jet.internal.parser.ParseProblemSeverity severity, int id, java.lang.String message, java.lang.Object[] messageArgs, int start, int end, int lineNumber, int colOffset)` Deprecated. Use `Problem(URI,String,ProblemSeverity,int,String,Object[],int,int,int,int)` instead
`Problem(java.net.URI baseLocation, java.lang.String templatePath, ProblemSeverity severity, int id, java.lang.String message, java.lang.Object[] messageArgs, int start, int end, int lineNumber, int colOffset)` Deprecated. Create an new instance

Method Summary
`int` `getColOffset()` Deprecated.
`int` `getEnd()` Deprecated.
`int` `getId()` Deprecated.
`int` `getLineNumber()` Deprecated.
`java.lang.String` `getMessage()` Deprecated.
`java.lang.Object[]` `getMessageArgs()` Deprecated.
`java.lang.String` `getOriginatingFileName()` Deprecated.
`ProblemSeverity` `getProblemSeverity()` Deprecated. Return the problem severity
`org.eclipse.jet.internal.parser.ParseProblemSeverity` `getSeverity()` Deprecated. Use `getProblemSeverity()` instead.
`int` `getStart()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MissingXmlStartTag

    public static final int MissingXmlStartTag

  Deprecated. Use `IProblem.MissingXmlStartTag`
  Error Id for an XML end tag that has no corresponding start tag.

  See Also:
    `getId()`, Constant Field Values

### MissingXmlEndTag

    public static final int MissingXmlEndTag

  Deprecated. Use `IProblem.MissingXmlEndTag`
  Error Id for an XML start tag that has no corresponding end tag.

  See Also:
    `getId()`, Constant Field Values

### MissingRequiredAttribute

    public static final int MissingRequiredAttribute

  Deprecated. Use `IProblem.MissingRequiredAttribute`
  Error Id for an XML tag or JET directive that is missing a required attribute

  See Also:
    `getId()`, Constant Field Values

### DuplicateXMLNamespacePrefix

    public static final int DuplicateXMLNamespacePrefix

  Deprecated. Use `IProblem.DuplicateXMLNamespacePrefix`
  Error Id for taglib directive that defines a prefix defined by a preceding taglib directive

  See Also:
    `getId()`, Constant Field Values

### UnknownTagLibrary

    public static final int UnknownTagLibrary

  Deprecated. Use `IProblem.UnknownTagLibrary`
  Error Id for taglib directive that defines references an unknown tag library id

  See Also:
    `getId()`, Constant Field Values

### UnknownAttributeInTag

    public static final int UnknownAttributeInTag

  Deprecated. Use `IProblem.UnknownAttributeInTag`
  Error Id for an attribute that is not defined in the tag definition

  See Also:
    Constant Field Values

### UnterminatedXMLTag

    public static final int UnterminatedXMLTag

  Deprecated. Use `IProblem.UnterminatedXMLTag`
  Represent an unterminated XML Tag

  See Also:
    Constant Field Values

### DuplicateAttribute

    public static final int DuplicateAttribute

  Deprecated. Use `IProblem.DuplicateAttribute`
  Represent a duplicate attribute in an XML Tag;

  See Also:
    Constant Field Values

### JETException

    public static final int JETException

  Deprecated. Use `IProblem.JETException`
  An underlying JETException was thrown by the JET parser

  See Also:
    Constant Field Values

### MultipleTemplatesWithSameJavaClass

    public static final int MultipleTemplatesWithSameJavaClass

  Deprecated. Use `IProblem.MultipleTemplatesWithSameJavaClass`
  Two templates specify that they compile to the same Java Class

  See Also:
    Constant Field Values

### DeprecatedAttribute

    public static final int DeprecatedAttribute

  Deprecated. Use `IProblem.DeprecatedAttribute`
  Use of an attribute that has been deprecated.

  See Also:
    Constant Field Values

### TagCannotHaveContent

    public static final int TagCannotHaveContent

  Deprecated. Use `IProblem.TagCannotHaveContent`
  Tag may not have a body - the tag must be of the form <tagName/>.

  See Also:
    Constant Field Values

### TagCannotBeEmpty

    public static final int TagCannotBeEmpty

  Deprecated. Use `IProblem.TagCannotBeEmpty`
  Tag must have content - the tag must be of the form <tagName>xxx</tagName>.

  See Also:
    Constant Field Values

### DeprecatedTag

    public static final int DeprecatedTag

  Deprecated. Use `IProblem.DeprecatedTag`
  Use of the tag has been deprecated.

  See Also:
    Constant Field Values

### UnsupportedDirective

    public static final int UnsupportedDirective

  Deprecated. Use `IProblem.UnsupportedDirective`
  Unsupported Directive.

  See Also:
    Constant Field Values

### UnknownXMLTag

    public static final int UnknownXMLTag

  Deprecated. Use `IProblem.UnknownXMLTag`
  A tag that has a known tag library prefix, but is not a recognized name. Usually indicates a typographical error.

  See Also:
    Constant Field Values

### TagInterpretedAsEmptyTag

    public static final int TagInterpretedAsEmptyTag

  Deprecated. Use `IProblem.TagInterpretedAsEmptyTag`
  A tag this is declared as an 'emptyTag' occured as <tag ...>, and has been interpreted as the equivalent empty tag <tag .../>.

  See Also:
    Constant Field Values

Constructor Detail

### Problem

    public Problem(java.lang.String originatingFileName,
                   org.eclipse.jet.internal.parser.ParseProblemSeverity severity,
                   int id,
                   java.lang.String message,
                   java.lang.Object[] messageArgs,
                   int start,
                   int end,
                   int lineNumber,
                   int colOffset)

  Deprecated. Use `Problem(URI,String,ProblemSeverity,int,String,Object[],int,int,int,int)` instead

  Create an new instance

  Parameters:
    `originatingFileName` - the file name from which the problem originates
    `severity` - the severity
    `id` - the problem id. See static constants declared on this class
    `message` - the error message in `MessageFormat` style
    `messageArgs` - the error message arguments
    `start` - the start offset of the problem (doc relative)
    `end` - the end offset of the problem (doc relative)
    `lineNumber` - the start line of the problem
    `colOffset` - TODO

### Problem

    public Problem(java.net.URI baseLocation,
                   java.lang.String templatePath,
                   ProblemSeverity severity,
                   int id,
                   java.lang.String message,
                   java.lang.Object[] messageArgs,
                   int start,
                   int end,
                   int lineNumber,
                   int colOffset)

  Deprecated.
  Create an new instance

  Parameters:
    `baseLocation` - the base location from which the template path is resolved.
    `templatePath` - the file name from which the problem originates
    `severity` - the problemSeverity
    `id` - the problem id. See static constants declared on this class
    `message` - the error message in `MessageFormat` style
    `messageArgs` - the error message arguments
    `start` - the start offset of the problem (doc relative)
    `end` - the end offset of the problem (doc relative)
    `lineNumber` - the start line of the problem
    `colOffset` - TODO

Method Detail

### getEnd

    public int getEnd()

  Deprecated.
  Returns:
    Returns the end.

### getId

    public int getId()

  Deprecated.
  Returns:
    Returns the id.

### getLineNumber

    public int getLineNumber()

  Deprecated.
  Returns:
    Returns the lineNumber.

### getMessage

    public java.lang.String getMessage()

  Deprecated.
  Returns:
    Returns the message.

### getMessageArgs

    public java.lang.Object[] getMessageArgs()

  Deprecated.
  Returns:
    Returns the messageArgs.

### getOriginatingFileName

    public java.lang.String getOriginatingFileName()

  Deprecated.
  Returns:
    Returns the originatingFileName.

### getSeverity

    public org.eclipse.jet.internal.parser.ParseProblemSeverity getSeverity()

  Deprecated. Use `getProblemSeverity()` instead.

  Returns:
    Returns the problemSeverity.

### getStart

    public int getStart()

  Deprecated.
  Returns:
    Returns the start.

### getColOffset

    public final int getColOffset()

  Deprecated.
  Returns:
    Returns the colOffset.

### getProblemSeverity

    public ProblemSeverity getProblemSeverity()

  Deprecated.
  Return the problem severity

  Returns:
    the problem severity
  Since:
    0.8.0

Copyright 2006 IBM Corporation and others. All Rights Reserved.